/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//参数接收
var module_id = $.getUrlParam("FIELD_MODULE_ID");
var maindata_id = $.getUrlParam("FIELD_MAINDATA_ID");
if(module_id==null || module_id==''){
	module_id ='no';
	$.messager.alert('提示',"模块信息有误!",'info');
}
if(maindata_id==null || maindata_id==''){
	maindata_id ='no';
	$.messager.alert('提示',"主表UUID有误!",'info');
}
queryData.FIELD_MODULE_ID = module_id;
queryData.FIELD_MAINDATA_ID = maindata_id;
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载是否数据
var v_yesnoquery = {};
v_yesnoquery.FIELD_tableName = "DM_ST_YES_NO";
var v_yesnoquery_data = standardModel.dataAction.listAllCache(v_yesnoquery);
//加载文件所在模块数据
var v_modulequery = {};
v_modulequery.FIELD_tableName = "DM_ST_FILE_MODULE";
var v_modulequery_data = standardModel.dataAction.listAllCache(v_modulequery);
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
		title:"附件信息",
	    iconCls:$.getJwWindowPic(),
	    url:'uploadFileData_list_nofile',
	    queryParams : queryData,//查询参数
		rownumbers : true,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : false,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				},
				{
					field : 'option',
					title : '操作',
					width : 80,
					align : 'center',
					formatter : formatMenu
				}
				       ]],
		columns : [ [
				{
					field : 'FILE_NAME',
					title : '附件真实名',
					width : 200,
					align : 'center'
				},
				{
					field : 'FILE_SVAE_NAME',
					title : '附件保存名',
					width : 300,
					align : 'center'
				},
				{
					field : 'MODULE_ID',
					title : '所在模块',
					width : 120,
					align : 'center',
					formatter : function(value) {
						return getCodeName(v_modulequery_data.rowSet, value);
					}
				},
				{
					field : 'MAINDATA_ID',
					title : '对应主表ID',
					width : 250,
					align : 'center'
				},
				{
					field : 'FILE_SAVE_PATH',
					title : '磁盘保存路径',
					width : 500,
					align : 'left'
				},
				{
					field : 'EXIST_FILE',
					title : '文件已存库',
					width : 80,
					align : 'center',
					formatter : function(value) {
						return getCodeName(v_yesnoquery_data.rowSet, value);
				    }
				},
				{
					field : 'DELETE_FLAG',
					title : '数据已删除',
					width : 80,
					align : 'center',
					formatter : function(value) {
						return getCodeName(v_yesnoquery_data.rowSet, value);
				    }
				},
				{
					field : 'CREATE_NAME',
					title : '创建人员',
					width : 100,
					align : 'center'
				},
				{
					field : 'CREATE_TIME',
					title : '创建时间',
					width : 100,
					align : 'center'
				},
				{
					field : 'UPDATE_NAME',
					title : '修改人员',
					width : 100,
					align : 'center'
				},
				{
					field : 'UPDATE_TIME',
					title : '修改时间',
					width : 100,
					align : 'center'
				}
				] ],
		toolbar : '#tb',
		onLoadSuccess : function() {
			createOptionMenuTooltip(60);
		}
});

$('#list').datagrid({
	rowStyler : function(index, row) {
		if(row.DELETE_FLAG!='1'){
			if (row.EXIST_FILE=='1') {
				return 'color:blue;';
			}
		}
		else{
			return 'color:#c0c0c0;';
		}
		
	}
});

/****/

/**
 * 序号：4
 * 功能：设置主页面操作列菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-download\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"downloadjw('"
		+ index + "')\">下载</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 1;
	return is_menu_count;
}

/****/

/**
 * 序号：5
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	$('#list').datagrid('load',queryData);
	$("#uploadfileCommonTab_searchForm")[0].reset();
}
/****/

/**
 * 序号：6
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#uploadfileCommonTab_searchForm").getFormVal();
	v_query.FIELD_MODULE_ID = module_id;
	v_query.FIELD_MAINDATA_ID = maindata_id;
	$('#list').datagrid('load',v_query);
}
/****/

/**
 * 序号：7
 * 功能：上传
 * 参数：填写限制上传类型,上传地址
 * 说明：openUpload_image(uuid),打开图片上传;
 *      openUpload_doc(uuid),打开常用公文上传;
 *      openUpload_imagedoc(uuid),打开常图片+用公文上传;
 *      openUpload_page2(up_act,uuid),自定义URL，打开常图片+用公文上传;
 *      如有特殊限制时用以下这段:
 *      var up_type = "gif,jpg,jpeg,bmp,png";//限制上传类型
 *      var up_act = "reportact_upload";//上传地址
 *      openUpload_page1(up_type,up_act,uuid);
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//打开上传页面
function uploadjw(uuid){
	openUpload_page3('uploadFileAct_upload',uuid,0.8,0.5,0,0);
}
//上传成功后的回调,主要返回三个参数:
//fname上传时的真实文件名如：文件.txt,
//fpath上传后的真实文件名如：c:\temp\145597044184082388.txt
//uuid主要用于记录跟文件绑定用,如果uuid的值是'uuid',可多传文件，手工关闭上传界面
function uploadCallback(fname,fpath,uuid){
	var fileOld = fname;
	var filePath = fpath.substring(0,fpath.lastIndexOf("/")+1);
	var filenew = fpath.substring(fpath.lastIndexOf("/")+1);
	var is_entity = {};
	is_entity.FIELD_FILE_NAME = fileOld;
	is_entity.FIELD_FILE_SVAE_NAME = filenew;
	is_entity.FIELD_FILE_SAVE_PATH = filePath;
	is_entity.FIELD_MODULE_ID = module_id;
	is_entity.FIELD_MAINDATA_ID = maindata_id;
	var v_result = uploadfileModule.uploadfileActAction.insertUploadfile(is_entity);
	$('#list').datagrid('reload'); 
	$.messager.alert('提示',"上传成功!",'info');
}
/****/

/**
 * 序号：8
 * 功能：下载
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function downloadjw(index){
   $('#list').datagrid('selectRow',index);
	
   var is_row = $('#list').datagrid('getSelections');
   $('#list').datagrid('clearSelections');
	
//   if(is_row[0].EXIST_FILE!=null && is_row[0].EXIST_FILE == '0'){
//	  $.messager.alert('提示',"没有文件可以下载!",'info');
//	  return;
//   }
   var uploadnew = is_row[0].FILE_SVAE_NAME;
   var uploadpath = is_row[0].FILE_SAVE_PATH;
   var uploadold = is_row[0].FILE_NAME;
   var uuid = is_row[0].UUID;
   if(uploadpath == null || uploadpath == ""){
      $.messager.alert('提示',"没有文件可以下载!",'info');
      return;
   }
//   var url = gaowj.WEB_APP_NAME + "/reportact_download?uploadnew="+uploadnew+"&uploadpath="+uploadpath+"&uploadold="+uploadold;
//   window.location = url;
   fileDownload(uploadnew,uploadpath,uploadold,uuid,'uploadFileAct_download');
}
/****/